Get Item Price History
Returns the paginated price change history for a specific item.
This operation is designed for Newegg.com and Newegg.ca.
Resource URL
Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/history/{itemnumber}?sellerid={sellerid}&pageindex=1&pagesize=20
Newegg.ca: https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/item/history/{itemnumber}?sellerid={sellerid}&pageindex=1&pagesize=20
Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.
Parameters
| Name | Required? | Description |
|---|---|---|
| itemNumber | Yes | Newegg item number. |
| sellerId | Yes | Seller ID, used for authentication. |
| pageIndex | No | Page number, starting from 1. Default: 1. |
| pageSize | No | Number of records per page. Default: 25. |
Resource Information
| HTTP Method | Authentication? | Request Formats | Response Formats | Rate Limited? | Maximum Size of Request |
|---|---|---|---|---|---|
| GET | Required | XML, JSON | XML, JSON | 500 requests per hour |
Request Body
Example: XML, Request
GET https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/history/{itemnumber}?sellerid={sellerid}&pageindex=1&pagesize=20
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml
Example: Json, Request
GET https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/history/{itemnumber}?sellerid={sellerid}&pageindex=1&pagesize=20
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json
Response Body
| Attribute | Format | Description |
|---|---|---|
| IsSuccess | Boolean | Get feed status operation: True: Successful False: Not successful |
| SellerID | String | Your seller ID |
| OperationType | String | Fixed value: GetRepricerPriceHistory |
| ResponseDate | String | Your response date time (Pacific Standard Time) |
| PriceLogs | List | List of price change log entries. |
| PriceLogs[].NeweggItemNumber | String | Newegg item number. |
| PriceLogs[].OriginalUnitPrice | Decimal | Original unit price before adjustment. |
| PriceLogs[].TargetUnitPrice | Decimal | Target unit price after adjustment. |
| PriceLogs[].BuyboxUnitPrice | Decimal | BuyBox reference price at time of adjustment. |
| PriceLogs[].RequestTimeStamp | DateTime | Timestamp of the price adjustment request. |
| PriceLogs[].RequestUser | String | User or system that triggered the adjustment. |
| PriceLogs[].SellerID | String | Seller ID. |
| PriceLogs[].Platform | String | Platform code, e.g. USA, CAN. |
| PriceLogs[].SourceSystem | String | Source system that triggered the price change. |
| PriceLogs[].Trigger | String | Reason for the price adjustment. |
| PriceLogs[].ProcessStatus | String | Processing status. |
| PriceLogs[].Memo | String | Memo or additional notes. |
| TotalCount | Integer | Total number of history records. |
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
<IsSuccess>true</IsSuccess>
<SellerID>A2GS</SellerID>
<OperationType>GetRepricerPriceHistory</OperationType>
<ResponseDate>2026-06-27T13:45:56.0941735+08:00</ResponseDate>
<ResponseBody>
<PriceLogs/>
<TotalCount>0</TotalCount>
</ResponseBody>
</NeweggAPIResponse>
Example: Json, Response
{
"IsSuccess": true,
"SellerID": "A2GS",
"OperationType": "GetRepricerPriceHistory",
"ResponseDate": "2026-06-27T13:45:56.0941735+08:00",
"ResponseBody": {
"PriceLogs": [],
"TotalCount": 0
}
}
Request Failure Errors
| Error Code | Description |
|---|---|
| InvalidToken | Illegal secret key. |
| — | The provided SellerId is null. |
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<Errors>
<Error>
<Code>InvalidToken</Code>
<Message>Illegal secret key.</Message>
</Error>
</Errors>
Example: Json, Response
[
{
"Code": "InvalidToken",
"Message": "Illegal secret key."
}
]
Last updated: July 10, 2026